Package net.shibboleth.idp.conf.impl

# Class ServletConfigServletContextInitializer

java.lang.Object
net.shibboleth.idp.conf.impl.ServletConfigServletContextInitializer

All Implemented Interfaces:
  `ServletContainerInitializer`

public class ServletConfigServletContextInitializer extends Object implements ServletContainerInitializer
A `ServletContainerInitializer` implementation that registers the servlets used by the IdP.

Registration of each servlet must be enabled by adding specific servlet init-params and is therefore off by default for backward compatibility with old web.xml files.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INIT_PARAMETER_IDP_ACTIVATION`
Context parameter name for the installation of the IdP servlet.
`static final String`
`INIT_PARAMETER_METADATA_ACTIVATION`
Context parameter name for the installation of the IdP servlet.
`static final String`
`INIT_PARAMETER_REMOTEUSER_ACTIVATION`
Context parameter name for the installation of the IdP servlet.
`static final String`
`INIT_PARAMETER_X509_ACTIVATION`
Context parameter name for the installation of the IdP servlet.
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`ServletConfigServletContextInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onStartup(Set<Class<?>> c, ServletContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INIT_PARAMETER_IDP_ACTIVATION

@Nonnull @NotEmpty public static final String INIT_PARAMETER_IDP_ACTIVATION
Context parameter name for the installation of the IdP servlet.

See Also:
  - Constant Field Values

### INIT_PARAMETER_REMOTEUSER_ACTIVATION

@Nonnull @NotEmpty public static final String INIT_PARAMETER_REMOTEUSER_ACTIVATION
Context parameter name for the installation of the IdP servlet.

See Also:
  - Constant Field Values

### INIT_PARAMETER_X509_ACTIVATION

@Nonnull @NotEmpty public static final String INIT_PARAMETER_X509_ACTIVATION
Context parameter name for the installation of the IdP servlet.

See Also:
  - Constant Field Values

### INIT_PARAMETER_METADATA_ACTIVATION

@Nonnull @NotEmpty public static final String INIT_PARAMETER_METADATA_ACTIVATION
Context parameter name for the installation of the IdP servlet.

See Also:
  - Constant Field Values

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### ServletConfigServletContextInitializer

public ServletConfigServletContextInitializer()

## Method Details

### onStartup

public void onStartup(Set<Class<?>> c, ServletContext ctx) throws ServletException

Specified by:
  `onStartup` in interface `ServletContainerInitializer`
Throws:
  `ServletException`